Mailinglist Archive: opensuse-updates (64 mails)

< Previous Next >
openSUSE-SU-2014:1248-1: important: update for bash
openSUSE Security Update: update for bash
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1248-1
Rating: important
References: #896776
Affected Products:
openSUSE Evergreen 11.4
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:

This update for bash completely disables the importing of shell functions
from the environment and thereby remove the exposure of the parser from
untrusted/harmful environment.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Evergreen 11.4:

zypper in -t patch 2014-90

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Evergreen 11.4 (i586 x86_64):

bash-4.1-20.35.1
bash-debuginfo-4.1-20.35.1
bash-debugsource-4.1-20.35.1
bash-devel-4.1-18.35.1
bash-loadables-4.1-18.35.1
bash-loadables-debuginfo-4.1-18.35.1
libreadline6-6.1-18.35.1
libreadline6-debuginfo-6.1-18.35.1
readline-devel-6.1-18.35.1

- openSUSE Evergreen 11.4 (x86_64):

bash-debuginfo-32bit-4.1-20.35.1
libreadline6-32bit-6.1-18.35.1
libreadline6-debuginfo-32bit-6.1-18.35.1
readline-devel-32bit-6.1-18.35.1

- openSUSE Evergreen 11.4 (noarch):

bash-doc-4.1-18.35.1
bash-lang-4.1-20.35.1
readline-doc-6.1-18.35.1

- openSUSE Evergreen 11.4 (ia64):

bash-debuginfo-x86-4.1-20.35.1
bash-x86-4.1-20.35.1
libreadline6-debuginfo-x86-6.1-18.35.1
libreadline6-x86-6.1-18.35.1


References:

https://bugzilla.suse.com/show_bug.cgi?id=896776


< Previous Next >
This Thread
  • No further messages